CREATE TABLE cmp_range_diffs_f_tl (
    RANGE_DIFF_ID            NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    NAME                     VARCHAR2(320)     NOT NULL,
    DESCRIPTION              VARCHAR2(1200),
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RANGE_DIFF_ID            NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    NAME                     VARCHAR2(320)     NOT NULL,
    DESCRIPTION              VARCHAR2(1200),
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_cmp_range_diffs_f_tl PRIMARY KEY (RANGE_DIFF_ID, LANGUAGE, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, RANGE_DIFF_ID, LANGUAGE, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
